Subject: Re: [mobile-ip] Using Mobile IPv6 over PPP links

From: Jari Arkko <[email-masked]>
Date: Tue, 15 Jul 2003 10:18:26 +0300

Krishna Kumar wrote:
> 
> 
> Hi,
> 
> Is there any work ongoing to support mobile ipv6 over PPP links ? I am
> trying
> to do this but am having problems during movement. When I move from the
> HN to FN (disconnect the MN's serial cable from one network and reconnect
> to another network), the device vanishes and I lose the home address. So
> when I reconnect it to the FN, I get a new device and new foreign address,
> but
> since I don't have the home address any longer, movement fails.
> 
> I don't know if any discussions have taken place about supporting mobility
> over PPP. Please let me know if anyone has any insight into this, or if
> there is
> any work related to this (in IETF or elsewhere).

I'm not sure I understand your problem. Your implementation should be
able to remember its home address even across connectivity changes
in its interfaces. When you reconnect your PPP you get a new care-of
address, and then you do an end-to-end exchange with your home agent
to register your care-of address as the current location for the
home address.

--Jari

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Siva Veerepalli <[email-masked]>
Date: Tue, 15 Jul 2003 00:41:19 -0700

At 10:18 AM 7/15/2003 +0300, Jari Arkko wrote:
>>to another network), the device vanishes and I lose the home address.

It sounds like your mip session ends when the serial cable is disconnected 
(i.e., carrier detect drop resulting in the device disconnect and hence mip 
session end). If that is the case, you mip client would have to survive 
carrier detect drop and PPP disconnect/renegotiation.

Siva

>>  So
>>any work related to this (in IETF or elsewhere)
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 15 Jul 2003 00:50:22 -0700

> > any work related to this (in IETF or elsewhere).

dont assign the home address to the ppp0 interface.
assigning the home address to a virtual interface 
would be a good idea.

Vijay